For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tax Rates

Manage tax rates in VARIO Cloud, including country-specific rates, validity dates, tax types, creation, updates, activation, and deletion.

the tax rate of a country

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

activebooleanRead-onlyOptional

is this tax-rate active (selectable)

Default: true
countryCodestringRequired

the country code for this tax-rate

ratenumberRequired

the rate of this tax-rate

Example: 19
validFromstring · dateRequired

the date, this entry is valid from

get/erp/taxes/tax-rates/{id}
GET /erp/taxes/tax-rates/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "typeRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  },
  "active": true,
  "countryCode": "text",
  "rate": 19,
  "validFrom": "2026-01-01"
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

activebooleanRead-onlyOptional

is this tax-rate active (selectable)

Default: true
countryCodestringRequired

the country code for this tax-rate

ratenumberRequired

the rate of this tax-rate

Example: 19
validFromstring · dateRequired

the date, this entry is valid from

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

activebooleanRead-onlyOptional

is this tax-rate active (selectable)

Default: true
countryCodestringRequired

the country code for this tax-rate

ratenumberRequired

the rate of this tax-rate

Example: 19
validFromstring · dateRequired

the date, this entry is valid from

put/erp/taxes/tax-rates/{id}
PUT /erp/taxes/tax-rates/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 135

{
  "version": "text",
  "info": {},
  "id": "text",
  "typeRef": {
    "id": "text",
    "label": "text"
  },
  "countryCode": "text",
  "rate": 19,
  "validFrom": "2026-01-01"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "typeRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  },
  "active": true,
  "countryCode": "text",
  "rate": 19,
  "validFrom": "2026-01-01"
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/taxes/tax-rates/{id}
DELETE /erp/taxes/tax-rates/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

deaktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

activebooleanRead-onlyOptional

is this tax-rate active (selectable)

Default: true
countryCodestringRequired

the country code for this tax-rate

ratenumberRequired

the rate of this tax-rate

Example: 19
validFromstring · dateRequired

the date, this entry is valid from

put/erp/taxes/tax-rates/{id}/deactivate
PUT /erp/taxes/tax-rates/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "typeRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  },
  "active": true,
  "countryCode": "text",
  "rate": 19,
  "validFrom": "2026-01-01"
}

aktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

activebooleanRead-onlyOptional

is this tax-rate active (selectable)

Default: true
countryCodestringRequired

the country code for this tax-rate

ratenumberRequired

the rate of this tax-rate

Example: 19
validFromstring · dateRequired

the date, this entry is valid from

put/erp/taxes/tax-rates/{id}/activate
PUT /erp/taxes/tax-rates/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "typeRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  },
  "active": true,
  "countryCode": "text",
  "rate": 19,
  "validFrom": "2026-01-01"
}

Create new Resource

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

activebooleanRead-onlyOptional

is this tax-rate active (selectable)

Default: true
countryCodestringRequired

the country code for this tax-rate

ratenumberRequired

the rate of this tax-rate

Example: 19
validFromstring · dateRequired

the date, this entry is valid from

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

activebooleanRead-onlyOptional

is this tax-rate active (selectable)

Default: true
countryCodestringRequired

the country code for this tax-rate

ratenumberRequired

the rate of this tax-rate

Example: 19
validFromstring · dateRequired

the date, this entry is valid from

post/erp/taxes/tax-rates
POST /erp/taxes/tax-rates HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 135

{
  "version": "text",
  "info": {},
  "id": "text",
  "typeRef": {
    "id": "text",
    "label": "text"
  },
  "countryCode": "text",
  "rate": 19,
  "validFrom": "2026-01-01"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "typeRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  },
  "active": true,
  "countryCode": "text",
  "rate": 19,
  "validFrom": "2026-01-01"
}

Last updated

Was this helpful?